# Interface SystemPropertyTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface SystemPropertyTree extends InlineTagTree
A tree node for an `@systemProperty` inline tag.

       {@systemProperty property-name}

Since:
  12

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`Name`
`getPropertyName()`
Returns the specified system property name.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

### Methods declared in interface InlineTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

## Method Details

### getPropertyName

Name getPropertyName()
Returns the specified system property name.

Returns:
  the system property name